curl
curl -i -X GET \
'https://api.goshippo.com/v2/addresses?offset=0&limit=30&search=string' \
-H 'Authorization: ShippoToken <API_TOKEN>'import requests
url = "https://api.goshippo.com/v2/addresses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/v2/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"id": "e9f1f6fd20f84982afe471ff06c5a80f",
"address": {
"name": "Wilson",
"address_line_1": "731 Market Street",
"country_code": "US",
"email": "user@shippo.com",
"phone": "+1-4155550132",
"organization": "Shippo",
"address_line_2": "#200",
"city_locality": "San Francisco",
"state_province": "CA",
"postal_code": "94103",
"address_type": "residential"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"offset": 1,
"limit": 1,
"next": "/addresses?offset=2&limit=1",
"prev": "/addresses?offset=0&limit=1"
}{
"detail": [
{
"type": "greater_than_equal",
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than or equal to 1",
"input": "0",
"ctx": {
"ge": 1
},
"url": "https://errors.pydantic.dev/2.3/v/greater_than_equal"
}
]
}{
"trace_id": "b562cab2e9200ac3e11474cc877580e1",
"message": "Internal Server Error"
}Address Book
Retrieve addresses
Returns a list of addresses based on search criteria
GET
/
v2
/
addresses
curl
curl -i -X GET \
'https://api.goshippo.com/v2/addresses?offset=0&limit=30&search=string' \
-H 'Authorization: ShippoToken <API_TOKEN>'import requests
url = "https://api.goshippo.com/v2/addresses"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/v2/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"id": "e9f1f6fd20f84982afe471ff06c5a80f",
"address": {
"name": "Wilson",
"address_line_1": "731 Market Street",
"country_code": "US",
"email": "user@shippo.com",
"phone": "+1-4155550132",
"organization": "Shippo",
"address_line_2": "#200",
"city_locality": "San Francisco",
"state_province": "CA",
"postal_code": "94103",
"address_type": "residential"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"offset": 1,
"limit": 1,
"next": "/addresses?offset=2&limit=1",
"prev": "/addresses?offset=0&limit=1"
}{
"detail": [
{
"type": "greater_than_equal",
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than or equal to 1",
"input": "0",
"ctx": {
"ge": 1
},
"url": "https://errors.pydantic.dev/2.3/v/greater_than_equal"
}
]
}{
"trace_id": "b562cab2e9200ac3e11474cc877580e1",
"message": "Internal Server Error"
}Authorizations
Enter your shippo token with the ShippoToken prefix.
Example: ShippoToken shippo_live_xxxx
Query Parameters
Required range:
x >= 0Required range:
x >= 1Last modified on July 16, 2026
Was this page helpful?
⌘I